Introduction to R-Mail for Outlook Express and Quick Start

R-Mail for Outlook Express is a utility that recovers damaged *.dbx files where MS Outlook Express stores folders with messages. It also recovers accidentally deleted messages. The unique recovery technology IntelligentRebuild allows the user to read damaged *.dbx files created by Outlook Express and recover accidentally deleted messages. Recovered messages are in the .eml format and can be imported into Outlook Express mail and news bases.

· Go to the R-Mail for Outlook Express Features help page to learn more about R-Mail for Outlook Express

· Go to the Mail and News Recovery chapter for quick start

· Go to the R-Mail for Outlook Express Main Panel help page to learn the R-Mail for Outlook Express panels and controls

· Go to the Contact Information and Technical Support help page to learn how to obtain technical assistance from R-tt staff.

Note: When doing any operation, including message base recovery, R-Mail for Outlook Express never deletes from disks, writes to, or modifies in any way, original message bases.

Attention: If you believe that any of your mail or news bases is damaged, or they may contain the deleted messages that you want to recover, DO NOT START OUTLOOK EXPRESS! It may change the message base file in a such way that the messages will be completely deleted. Backup the message base before.


R-Mail for Outlook Express Features

R-Mail for Outlook Express features:

· Standard "Outlook Express" - style interface.
· Host OS: Windows 9x, ME, NT, 2000, XP.
· Supported *.dbx file formats: MS Outlook Express 5.0, 5.01, 5.5, 6.0
· Automatic or manual search for message base files. R-Mail for Outlook Express searches for message bases on all (including network) disks visible by the host operating system.
· Recovered messages may be opened directly in MS Outlook Express.
· Recovered messages may be saved in the *.eml file format on any (including network) disks visible by the host operating system.
· Message source view.

R-Mail for Outlook Express operates in two modes:

1.Message base browsing:

In this mode R-Mail for Outlook Express browses through message bases and lists all messages in the message bases including deleted ones. Any message in the message bases may be viewed, opened in Outlook Express, and saved as a *.eml file. Such a file may be imported into Outlook Express message bases. An entire message base may be saved as successive *.eml files and imported into Outlook Express message bases.

This mode is used to restore accidentally deleted messages.

2.Message base recovery.

In this mode R-Mail for Outlook Express recovers damaged message bases. Then all messages may be viewed, opened in Outlook Express, and saved as a *.eml file.


Contact Informaiton and Technical Support

Contact information and technical support

To obtain the latest version of R-Mail for Outlook Express, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

R-Mail for Outlook Express Technical Support Team is available 24 hours a day, seven days a week, and has an average e-mail response time less than 4 hours.

Tech. Support: support@r-tt.com

Send your support request to: http://www.r-tt.com/Support_request.html


R-Mail for Outlook Express Main Panel

Note: When doing any operation, including message base recovery, R-Mail for Outlook Express never deletes from disks, writes to, or modifies in any way, original message bases.

Attention: If you believe that any of your mail or news bases is damaged, DO NOT START OUTLOOK EXPRESS! It may change the message base file in a such way that all messages will be completely deleted.

When R-Mail for Outlook Express starts, it main panel appears at the Windows desktop. Click on the panel regions to learn their functions.

R-Mail for Outlook Express searches for current user's mail and news bases and display those in its Tree View Pane. If you do not want this to happen, select the Options in the Tools menu and uncheck the box in the Options dialog window.

Tree Vew Pane

This is the pane where you can work with entire message bases. Message bases may be browsed and damaged ones may be recovered. Go to the Browsing a Message Base or Recovering a Message Base help pages for details.

You may add and remove message bases in the Tree View Pane. You may make R-Mail for Outlook Express search for message bases, or add them manually. You may also remove any object from the Tree View Pane. You may also copy message bases for backup purposes. Go to the Message Base Management help page for details.

You may also view system message bases in this pane. Right-click any object in this pane and select the Show system message base item in the Tree View Filter context menu.

List View Pane

This is the pane where you can see a list of messages in a selected message base. To do so, you need to browse the message base first. Double-click the message base or click the Message base browsing button to browse the message base. If a red exclamation mark appears on the message base icon, the message base is damaged and needs recovery. Go to the Recovering a message base help page for details.

You may view the message in Outlook Express. To do so, just double-click the message or right-click it and select the Open in OE item in the context menu.

You may view a message source. To do so, right-click the message and select the View source item in the context menu.

The List View Pane does not show attachment files. Only pictures are visible in the Preview Pane if they are inserted directly into messages. You may view attachment files and save them if the message is opened in Outlook Express.

You may save a message as an *.eml file. To do so, select the message and click the Save button or right-click the message and select the Save as eml item in the context menu. Saved messages may be imported in Outlook Express message bases simply by dragging it from Windows Explorer into a required folder in Outlook Express.

You may select multiple messages, and save and open them in Outlook Express simultaneously. Use Shift key to select multiple messages.

Preview Pane

This is the pane where you can preview messages. You may select the entire message or its part, copy and print it. To do so, right-click the Preview Pane in any place and select an appropriate item in the context menu.

You may change message encoding by right-clicking the Preview Pane in any place and selecting the Encoding item in the context menu.


Mail and News Recovery

Attention: If you believe that any of your mail or news bases is damaged, or they may contain the deleted messages that you want to recover, DO NOT START OUTLOOK EXPRESS! It may change the message base file in a such way that the messages will be completely deleted. Backup the message base before.

R-Mail for Outlook Express panels and controls are shown on the R-Mail for Outlook Express Main Panel help page.

Steps to recover your mail and news:

Select a message base in the Tree View Pane. If you do not see the message base, add it. To add a message base,

· Click the Add message base to Tree View button, or

Right-click any object in the Tree View Pane and select the Add message base to Tree View item in the context menu.

A Search for *.dbx files dialog window will appear. You may either search the specified locations (including network disks) for message bases, or specify paths to them manually.

Specify the location for a message base, or click the Search Now button to search for message bases.

Found message bases will be added to the Tree View Pane.

Go to the Message Base Management help page for details.

Browse the message base in the Tree View Pane. To browse the message base

· Double-click the message base, or

Select the message base and click the Message base browsing button, or

Right-click the message base and select the Message base browsing item in the context menu

Go to the Browsing a Message Base help page for details.

If the browsing is successful, the message base will change its icon in the Tree View Pane and the message list will appear in the List View Pane.

· Find the message you want to recover and select it in the List View Pane. It contents will appear in the Preview Pane.
· Save the message by clicking the Save button or right-click the message and select the Save as eml item in the context menu, or

Double click the message to open it in the Outlook Express.

Go to the Browsing a Message Base help page for details (especially when saving multiple messages).

If R-Mail for Outlook Express fails to browse the message base, the warning window will appear and the message base will change its icon in the Tree View Pane. Such message base needs to be recovered.

To recover a message base,

· Select the message base in the Tree View Pane and click the Message base recovery button, or

Right-click the message base and select the Message base recovery item in the context menu.

When R-Mail for Outlook Express recovers the message base, the message base will change its icon in the Tree View Pane and the message list will appear in the List View Pane.

· Find the message you want to recover and select it in the List View Pane. It contents will appear in the Preview Pane.
· Save the message by clicking the Save button or right-click the message and select the Save as eml item in the context menu, or

Double click the message to open it in the Outlook Express.

Go to the Recovering a Message Base or Recovering Deleted Messages help pages for details.


Message Base Management

Attention: If you believe that any of your mail or news bases is damaged, or they may contain the deleted messages that you want to recover, DO NOT START OUTLOOK EXPRESS! It may change the message base file in a such way that the messages will be completely deleted. Backup the message base before.

You may add and remove message bases in the Tree View Pane. You may have R-Mail for Outlook Express search for message bases, or add them manually. You may also remove any object from the Tree View Pane. You may also copy message bases for backup purposes.

Notes: Message bases are usually stored in hidden folders generally invisible in Windows Explorer. To allow you to find those bases, R-Mail for Outlook Express shows all hidden and system folders.

Under Windows NT/2000/XP, R-Mail for Outlook Express shows and processes only message bases accessible to the current user. You need to have administrative privileges to find all message bases in the specified locations.

To add a message base to the Tree View Pane, do the following:

· Click the Add message base to Tree View button, or

Right-click any object in the Tree View Pane and select the Add message base to Tree View item in the context menu.

A Search for *.dbx files dialog window will appear. You may either search the specified locations (including network disks) for message bases, or specify paths to them manually.

Specify the location for a message base, or click the Search Now button to search for message bases.

Found message bases will be added to the Tree View Pane.

To remove any object from the Tree View Pane, do the following:

· Click the Remove from Tree View button, or

Right-click the object in the Tree View Pane and select Remove from Tree View item in the context menu.

The selected object will be removed from the Tree View Pane.

You may want to copy a message base to recover it later. This is especially important if it contains deleted messages that you want to restore. See the Recovering Deleted Messages help page for details. R-Mail for Outlook Express copies original message bases, not recovered ones.

To copy a message base, do the following:

· Right-click the message base you want to copy.

A Copy message base dialog window will appear

· Specify location to where you want to copy the message base and click the Save button.

You may set R-Mail for Outlook Express to automatically create temporary copies of message bases before browsing or recovery. This is necessary if Outlook Express is currently running and working with the message base you want to work with, or if you want to copy large message bases from slow media such as CD to a faster hard drive for intensive work.

To make R-Mail for Outlook Express create temporary copies of message bases before browsing or recovery, do the following:

· Select the Options in the Tools menu.

An R-Mail for Outlook Express Options dialog window will appear.

· check appropriate options

Note: Copying large message bases may be a very lengthy process, so such copying is reasonable only when you plan to work with the mail base very intensively.


Browsing a Message Base

Attention: If you believe that any of your mail or news bases is damaged, or they may contain the deleted messages that you want to recover, DO NOT START OUTLOOK EXPRESS! It may change the message base file in a such way that the messages will be completely deleted. Backup the message base before.

Before any message in a message base can be read and saved, R-Mail for Outlook Express needs to browse the message base and list all the messages in it. This can be done in the Tree View Pane.

To browse a message base, do the following:

· Double-click the message base, or

Select the message base and click the Message base browsing button, or

Right-click the message base and select the Message base browsing item in the context menu.

R-Mail for Outlook Express will start to browse the message base. When its through, the message base will change its icon: and a message list will appear in the List View Pane. Now you can view messages in this message base in Outlook Express or in the Preview Pane, save them as *.eml files, or import into Outlook Express message bases.

If Outlook Express is currently running and working with the message base you plan to work with, or you plan to work intensively with a message base stored on a slow medium, you may want to copy it before browsing.

To make R-Mail for Outlook Express copy mail bases before browsing, do the following:

· Select the Options in the Tools menu.

An R-Mail for Outlook Express Options dialog window will appear.

· check appropriate options

Note: copying large message bases may be a very lengthy process, so such copying is reasonable only when you plan to work with the mail base very intensively.

You may try to browse a message base with unrecognized type: . If such a message base is not seriously damaged, R-Mail for Outlook Express will list the messages in the base.

If R-Mail for Outlook Express fails to browse the message base, the message base will change its icon: . In this case the message base needs to be recovered. Sometimes R-Mail for Outlook Express fails to list all messages that are to be in a message base. In this case the message base needs also to be recovered. Go to the Recovering a Message Base help page for details.

When a message is selected in the List View Pane, its text is displayed in the Preview Pane. It also may be opened in the Outlook Express. Then it may be saved as an *.eml file, answered, forwarded, etc.

To open a message in Outlook Express, do the following:

· Double-click the message in the List View Pane, or

Right-click the message and select the Open in OE item in the context menu.

You may save a message as an *.eml file. To do so, select the message and click the Save button or right-click the message and select the Save as eml item in the context menu.

You may save a message as an *.eml file directly from the List View Pane.

To save a message, do the following:

· Select the message in the List View Pane, and click the Save button, or

right-click the message and select the Save as eml item in the context menu.

Saving multiple messages

You may select multiple messages, and save and open them in Outlook Express simultaneously. Use Shift key to select multiple messages.

You may save an entire message base, each individual message as a separate *.eml file. This is very helpful if you want to import those messages into Outlook Express message bases.

To save a message base as a number of *.eml files, do the following:

· Right-click the message base in the Tree View Pane and select the Save as eml item in the context menu.

R-Mail for Outlook Express will save all messages as 1.eml, 2.eml, ...number.eml files, where number is the message number in the List View Pane.

You may use this method to import an entire message base into Outlook Express message bases. Save all messages in the base into a separate folder, use the Select all command in the Edit menu item in Windows Explorer for this folder and drag all the messages into the required message base in Outlook Express. You may also use the CTRL+A shortcut to select all files in Windows Explorer current folder.

You may view a message source. To do so, right-click the message and select the View source item in the context menu.

The List View Pane does not show attachment files. Only pictures are visible in the Preview Pane if they are inserted directly into messages. You may view attachment files and save them if the message is opened in Outlook Express.


Recovering a Message Base

Attention: If you believe that any of your mail or news bases is damaged, or they may contain the deleted messages that you want to recover, DO NOT START OUTLOOK EXPRESS! It may change the message base file in a such way that the messages will be completely deleted. Backup the message base before.

Message base recovery is required in the following cases:

1. If a message base file is damaged.
2. If R-Mail for Outlook Express fails to browse the message base, the warning window will appear and the message base will change its icon: .
3. If R-Mail for Outlook Express failed to list all files that are to be in the message base.

To recover a message base, do the following:

· Select the message base in the Tree View Pane and click the Message base recovery button, or

Right-click the message base and select the Message base recovery item in the context menu.

R-Mail for Outlook Express will start to recover the message base. When its through, the message base will change its icon: and a message list will appear in the List View Pane. Now you can view messages in this message base in Outlook Express or in the Preview Pane, save them as *.eml files, or import into Outlook Express message bases. All these operations are explained in details in the Browsing a Message Base help page.

If Outlook Express is currently running and working with the message base you plan to work with, or you plan to work intensively with a message base stored on a slow medium, you may want to copy it before recovery.

To make R-Mail for Outlook Express copy mail bases before recovery, do the following:

· Select the Options in the Tools menu.

An R-Mail for Outlook Express Options dialog window will appear.

· check appropriate options

Note: copying large message bases may be a very lengthy process, so such copying is reasonable only when you plan to work with the mail base very intensively.


Recovering Deleted Messages

R-Mail for Outlook Express marks deleted messages in message base with a red cross: .

Outlook Express does not immediately delete deleted messages from its message bases. It keeps them for a while, depending on message base size, number of new messages and folder compacting. Usually when Outlook Express compacts a folder, it deletes deleted messages entirely.

When R-Mail for Outlook Express browses or recovers a message base, there is a chance that recovered messages will differ from the original ones. If it is a plain text message, some strange characters may appear among letters. Attachments of complex formats like exe, doc, zip may be completely damaged. HTML files may be recovered by using source view option.